add_subdirectory( tests )

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### tdeeduui (shared)

tde_add_library( tdeeduui SHARED AUTOMOC

  SOURCES
        kedusimpleentrydlgForm.ui
        kedusimpleentrydlg.cpp
        tdeeduglossary.cpp
  LINK
     tdecore-shared
     tdeio-shared
     tdeui-shared
     tdehtml-shared
     
  VERSION 3.0.5

  DESTINATION ${LIB_INSTALL_DIR}
)


##### other data

install(
    FILES tdeeduglossary.h
    DESTINATION ${INCLUDE_INSTALL_DIR}/libtdeedu
)
